[CentOS-devel] kmod packaging guideline

Farkas Levente lfarkas at lfarkas.org
Sat Dec 20 13:43:44 UTC 2008


hi,
it'd be nice to write some kind of docs about how to write kmod packages
for centos. as i wrote in one of my earlier post there are two problems
currently with the weak-updates kmods:

kmodtool shouldn't have to add to all packages rather use the
/usr/lib/rpm/redhat/kmodtool from redhat-rpm-config ie:
----------------------------------------------
@@ -1,7 +1,6 @@
-Source10: kmodtool
 Source11: find-requires
 Source12: find-requires.ksyms
-%define   kmodtool bash %{SOURCE10}
+%define   kmodtool bash /usr/lib/rpm/redhat/kmodtool
----------------------------------------------
and add:
BuildRequires:	redhat-rpm-config

the other problem is the these new kmod gives warning during install. ie
if someone create a kickstart file which contains these kmods then
anaconda warning about it:
"Bad kmod package 'kmod-....' does not require a kernel"
the reason for this is /usr/lib/anaconda/fedorakmod.py which has a check
in resolveVersions. so hack the current find-requires.ksym to also
requires at least kernel-%{arch} would be useful.
at the same time write a newer short howto write kmods for centos-5.
just my 2c.
yours.

-- 
  Levente                               "Si vis pacem para bellum!"


More information about the CentOS-devel mailing list